# Игра "угадай число"
# Компьютер загадывает число от 1 до 50 и даёт 6 попыток пользователю, чтобы тот смог отгадать загаданное.
# Когда пользователь вводит число, компьютер проверяет угадано ли число и если не угадано, то сообщает пользователю
# меньше или больше загаданное число. Если пользователь угадал - то сообщает о том, что число.

import random
rand_num = random.randint(0, 50)

attempts = 6

print('Я загадал число от 1 до 50. Сможешь угадать за ' + str(attempts) + " попыток? =)")

while attempts > 0:

    print()
    user_num = int(input("Введите своё число: "))
    attempts -= 1

    if user_num == rand_num:                                           # Угадал число
        print('Угадал! Красава!')
        print('А оставалось ' + str(attempts) + " попытки!")
        break
    elif user_num != rand_num and attempts == 0:                       # Не угадал - закончились попытки
        print('Ха-ха! Ты проиграл! Я загадал число ' + str(rand_num))
        break
    elif user_num != rand_num:
        print('Не-а, не угадал! У тебя осталось ' + str(attempts) + " попытки!")
        if user_num > rand_num:                                        # Подсказка!
            print('Твоё число больше загаданного...')
        elif user_num < rand_num:
            print("Твоё число меньше загаданного...")
